Delete Chat Thread - Delete Chat Thread
Usuwa wątek.
DELETE {endpoint}/chat/threads/{chatThreadId}?api-version=2020-09-21-preview2
Parametry identyfikatora URI
| Nazwa | W | Wymagane | Typ | Opis |
|---|---|---|---|---|
|
chat
|
path | True |
string |
Identyfikator wątku do usunięcia. |
|
endpoint
|
path | True |
string |
Punkt końcowy zasobu usługi Azure Communication. |
|
api-version
|
query | True |
string |
Wersja interfejsu API do wywołania. |
Nagłówek żądania
| Nazwa | Wymagane | Typ | Opis |
|---|---|---|---|
| Authorization | True |
string |
Token dostępu użytkownika usług ACS (Azure Communication Services). |
Odpowiedzi
| Nazwa | Typ | Opis |
|---|---|---|
| 204 No Content |
Żądanie powiodło się. |
|
| 401 Unauthorized |
Nieautoryzowanych |
|
| 403 Forbidden |
Zakazany |
|
| 429 Too Many Requests |
Zbyt wiele żądań |
|
| Other Status Codes |
Usługa niedostępna |
Zabezpieczenia
Authorization
Token dostępu użytkownika usług ACS (Azure Communication Services).
Typ:
apiKey
W:
header
Przykłady
Delete chat thread
Przykładowe żądanie
DELETE https://contoso.westus.communications.azure.com/chat/threads/19:9525281ac1f947fc884bcee1a9f983c2@thread.v2?api-version=2020-09-21-preview2
Przykładowa odpowiedź
{
"code": "Unauthorized",
"message": "Request is not authorized."
}
{
"code": "Forbidden",
"message": "User is not allowed to perform specified action."
}
{
"code": "TooManyRequests",
"message": "Rate limit exceeded."
}
{
"code": "ServiceUnavailable",
"message": "The server is currently unable to handle the request."
}
Definicje
Error
| Nazwa | Typ | Opis |
|---|---|---|
| code |
string |
|
| innerErrors |
Error[] |
|
| message |
string |
|
| target |
string |